# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

import sys

from offspring.bootstrap import Bootstrap


class LexbuilderMasterBootstrap(Bootstrap):

    def __init__(self, options, config):
        from offspring.master.master import LexbuilderMaster
        self.master = LexbuilderMaster(config)
        self.options = options

    def main(self):
        sys.stdout.write("Starting offspring-master.\n")
        if not self.options.debug_mode:
            self.daemonize()
        self.master.start()
