# Copyright 2010-2011 Canonical Ltd.

from django.core.management.base import NoArgsCommand

from offspring.web.queuemanager.metrics import get_build_result_metrics


class Command(NoArgsCommand):
    help = "Outputs some basic metrics."

    def handle_noargs(self, **options):
        metrics = get_build_result_metrics()

        for item, value in metrics:
            self.stdout.write("%s = %s\n" % (item, value))
